<?xml version="1.0" encoding="UTF-8"?>
<!--
/**
 * @author Amasty Team
 * @copyright Copyright (c) 2021 Amasty (https://www.amasty.com)
 * @package Amasty_Preorder
 */
-->
<!--
/**
 * Copyright © 2016 Amasty. All rights reserved.
 */
-->
<form xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:module:Magento_Ui:etc/ui_configuration.xsd">
    <modal name="advanced_inventory_modal">
        <fieldset name="stock_data">
            <container name="container_amasty_preorder_note">
                <argument name="data" xsi:type="array">
                    <item name="config" xsi:type="array">
                        <item name="formElement" xsi:type="string">container</item>
                        <item name="component" xsi:type="string">Magento_Ui/js/form/components/group</item>
                        <item name="dataScope" xsi:type="string"/>
                        <item name="sortOrder" xsi:type="number">810</item>
                        <item name="imports" xsi:type="array">
                            <item name="visible" xsi:type="string">${$.provider}:data.product.stock_data.backorders:101</item>
                        </item>
                    </item>
                </argument>
                <field name="amasty_preorder_note">
                    <argument name="data" xsi:type="array">
                        <item name="config" xsi:type="array">
                            <item name="label" xsi:type="string" translate="true">Pre-Order Note</item>
                            <item name="formElement" xsi:type="string">input</item>
                            <item name="scopeLabel" xsi:type="string">[STORE VIEW]</item>
                            <item name="dataScope" xsi:type="string">amasty_preorder_note</item>
                        </item>
                    </argument>
                </field>
            </container>

            <container name="container_amasty_preorder_cart_label">
                <argument name="data" xsi:type="array">
                    <item name="config" xsi:type="array">
                        <item name="formElement" xsi:type="string">container</item>
                        <item name="component" xsi:type="string">Magento_Ui/js/form/components/group</item>
                        <item name="dataScope" xsi:type="string" />
                        <item name="sortOrder" xsi:type="number">810</item>
                        <item name="imports" xsi:type="array">
                            <item name="visible" xsi:type="string">${$.provider}:data.product.stock_data.backorders:101</item>
                        </item>
                    </item>
                </argument>
                <field name="amasty_preorder_cart_label">
                    <argument name="data" xsi:type="array">
                        <item name="config" xsi:type="array">
                            <item name="label" xsi:type="string" translate="true">Pre-Order Cart Button</item>
                            <item name="formElement" xsi:type="string">input</item>
                            <item name="scopeLabel" xsi:type="string">[STORE VIEW]</item>
                            <item name="dataScope" xsi:type="string">amasty_preorder_cart_label</item>
                        </item>
                    </argument>
                </field>
            </container>

        </fieldset>
    </modal>

</form>
